# Luxsci.Model.CreateDomainRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**AcceptMail** | **string** | Optional: default false (“0”). True values (e.g. “1”) will result in the domain being able to accept new email (once validated by updating MX or A records). | [optional] 
**CatchallStatus** | **string** | Optional: default value “disabled”. If set to “enabled”, then the domain-wide email catchall alias will be turned on. We do not recommend that these be used in general ... as they are magnets for inbound spam. If enabled, the catchall email alias will forward all email, by default, to the main administrator of this account (specifically, to the main admin’s username). | [optional] [default to CatchallStatusEnum.Disabled]
**DomainName** | **string** | Required. The name of the domain to add, e.g. “mydomain.com”. This must be a valid domain name that does not yet exist in your account or any other account in the system. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

