# Luxsci.Model.ScheduleMarketingCampaignRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Name** | **string** | Title for campaign schedule | 
**Type** | **string** | subscriber &#x3D; scheduling on lists segments &#x3D; scheduling on segment | 
**BroadcastIds** | **string** | Comma separated broadcast id(s). Campaign id(s) of campaigns you want to schedule on. | 
**SmtpIds** | **string** | Comma separated smtp id(s). Node id(s) of Sending Nodes you want to use to send emails. | 
**ListIds** | **string** | Comma separated list id(s). Required if param type &#x3D; subscriber. List id(s) of Lists you want to schedule on. | [optional] 
**SegmentIds** | **string** | Comma separated segment id(s). Required if param type &#x3D; segment. Segment id(s) of segments you want to schedule on. | [optional] 
**SmtpSequence** | **string** | batch &#x3D; a node will create connection once for a batch of contacts. loop &#x3D; one node for each contact | 
**SendingPattern** | **string** | random &#x3D; system will use random node from selected node list for sending. sequential &#x3D; system will use node in sequential order from selected node list for sending | 
**SendingTime** | **string** | now &#x3D; send broadcast now later &#x3D; schedule in future | 
**SendDatetime** | **string** | timestamp (format: Ym-d H:i:s). Required if param sending_time &#x3D; &#x60;later&#x60;. Value must be greater than current datetime. | [optional] 
**SenderType** | **string** | smtp &#x3D; use sender information from smtp list &#x3D; use sender information from list | 
**TrackOpens** | **int** | 0 &#x3D; open tracking disabled 1 &#x3D; open tracking enabled | [optional] [default to TrackOpensEnum.NUMBER_0]
**TrackClicks** | **int** | 0 &#x3D; clicks tracking disabled 1 &#x3D; clicks tracking enabled | [optional] [default to TrackClicksEnum.NUMBER_0]
**UnsubShows** | **int** | Status of bounce account 0 &#x3D; Inactive 1 &#x3D; Active | [optional] [default to UnsubShowsEnum.NUMBER_0]
**TrackDuplicates** | **int** | 0 &#x3D; duplicate tracking diasbled 1 &#x3D; duplicate tracking enabled | [optional] [default to TrackDuplicatesEnum.NUMBER_0]
**Threads** | **int** | number of threads for sending | [optional] 
**UnsubscribeHeaders** | **int** | 0 &#x3D; unsubscribe headers diasbled 1 &#x3D; unsubscribe headers enabled | [optional] [default to UnsubscribeHeadersEnum.NUMBER_0]
**UnsubscriberByEmail** | **int** | 0 &#x3D; unsubscribe by email diasbled 1 &#x3D; unsubscribe by email enabled | [optional] 
**UnsubscribeEmail** | **string** | email. Required if param unsubscriber_ by_email &#x3D; 1 | [optional] 
**UnsubscribeLink** | **int** | 0 &#x3D; unsubscribe link diasbled 1 &#x3D; unsubscribe link enabled | [optional] [default to UnsubscribeLinkEnum.NUMBER_0]
**HourlySpeed** | **int** | rate of emails/hour | [optional] 
**FromName** | **string** | Required if param sender_type &#x3D; custom. From name to use in email | [optional] 
**FromEmail** | **string** | Email. Required if param sender_type &#x3D; custom. From email to use in email | [optional] 
**BounceEmail** | **string** | Email. Required if param sender_type &#x3D; custom. Bounce Account to use in email | [optional] 
**ReplyEmail** | **string** | Email. Required if param sender_type &#x3D; custom. Reply email to use in email | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

